summaryrefslogtreecommitdiffstats
path: root/debian/systemd.prerm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/systemd.prerm')
-rw-r--r--debian/systemd.prerm15
1 files changed, 15 insertions, 0 deletions
diff --git a/debian/systemd.prerm b/debian/systemd.prerm
new file mode 100644
index 0000000..b08c895
--- /dev/null
+++ b/debian/systemd.prerm
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+#
+# Prevent systemd from being removed if it's the active init. That
+# will not work.
+#
+
+if [ "$1" = "remove" ] && [ -d /run/systemd/system ]; then
+ echo "systemd is the active init system, please switch to another before removing systemd."
+ exit 1
+fi
+
+#DEBHELPER#